exec("./Player_NoCombat.cs");

package NoCombatPackage 
{
	function shapeBase::damage(%this, %obj, %pos, %damage, %damageType) //Protect him from damage.
	{
		%attacker = %obj.client.player;
		if(%this.getDatablock() == PlayerNoCombatArmor.GetID() && %this != %attacker)
			return;
		if(isObject(%attacker) && %attacker.getDatablock() == PlayerNoCombatArmor.GetID() && %this != %attacker && %damagetype != 0 && %damagetype != 1 && %damagetype != 2)
			return;
		parent::damage(%this, %obj, %pos, %damage, %damageType);
	}
	function projectileData::ImpactImpulse(%this, %obj, %col, %pos) //Protect him from direct impulses.
	{
		%attacker = %obj.client.player;
		if(%col.getDatablock() == PlayerNoCombatArmor.GetID() && %col != %attacker)
			return;
		if(isObject(%attacker) && %attacker.getDatablock() == PlayerNoCombatArmor.GetID() && %col != %attacker)
			return;
		parent::ImpactImpulse(%this, %obj, %col, %pos);
	}
	function projectileData::RadiusImpulse(%this, %obj, %col, %dist, %pos, %mass, %unknown) //Protect him from radial impulses.
	{
		%attacker = %obj.client.player;
		if(%col.getDatablock() == PlayerNoCombatArmor.GetID() && %col != %attacker)
			return;
		if(isObject(%attacker) && %attacker.getDatablock() == PlayerNoCombatArmor.GetID() && %col != %attacker)
			return;
		parent::RadiusImpulse(%this, %obj, %col, %dist, %pos, %mass, %unknown);
	}
};
activatePackage(NoCombatPackage);
